org.keycloak.protocol.oidc.utils

## Class OIDCResponseType

- java.lang.Object
- - org.keycloak.protocol.oidc.utils.OIDCResponseType

-     public class OIDCResponseType
      extends Object

  Author:
    Marek Posolda

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CODE`
    `static String` | `ID_TOKEN`
    `static String` | `NONE`
    `static String` | `TOKEN`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasResponseType(String responseType)`
    `boolean` | `isImplicitFlow()`
    `boolean` | `isImplicitOrHybridFlow()`
    `static OIDCResponseType` | `parse(List<String> responseTypes)`
    `static OIDCResponseType` | `parse(String responseTypeParam)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### CODE

          public static final String CODE

      See Also:
        Constant Field Values

    - #### TOKEN

          public static final String TOKEN

      See Also:
        Constant Field Values

    - #### ID_TOKEN

          public static final String ID_TOKEN

      See Also:
        Constant Field Values

    - #### NONE

          public static final String NONE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### parse

          public static OIDCResponseType parse(String responseTypeParam)

    - #### parse

          public static OIDCResponseType parse(List<String> responseTypes)

    - #### hasResponseType

          public boolean hasResponseType(String responseType)

    - #### isImplicitOrHybridFlow

          public boolean isImplicitOrHybridFlow()

    - #### isImplicitFlow

          public boolean isImplicitFlow()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.